# Drawer Class Reference
[CAPTCHA's implementation]

Inheritance diagram for Drawer:
[legend]

List of all members.

## Public Member Functions

| setTuringImage (TuringImage $turingImage)
| getTuringImage ()

## Private Attributes

| $turingImage = null

## Detailed Description

Definition at line 15 of file Drawer.class.php.

## Member Function Documentation

Drawer::getTuringImage | ( |  | ) |

Returns:
  TuringImage

Definition at line 32 of file Drawer.class.php.

Referenced by WavesBackgroundDrawer::draw(), RandomLinesBackgroundDrawer::draw(), LinearStringDrawer::draw(), InclinedStringDrawer::draw(), CurvedStringDrawer::draw(), CircleBackgroundDrawer::draw(), CellBackgroundDrawer::draw(), CircleBackgroundDrawer::drawCircle(), TextDrawer::drawCraracter(), WavesBackgroundDrawer::drawWave(), TextDrawer::getFont(), BackgroundDrawer::makeColor(), and TextDrawer::showError().

Drawer::setTuringImage | ( | TuringImage $ | turingImage | ) |

Returns:
  Drawer

Definition at line 22 of file Drawer.class.php.

Referenced by TuringImage::setBackgroundDrawer(), and TuringImage::setTextDrawer().

## Member Data Documentation

Drawer::$turingImage = null`[private]`

Definition at line 17 of file Drawer.class.php.

Referenced by CurvedStringDrawer::draw().

The documentation for this class was generated from the following file:

- main/Utils/TuringTest/Drawer.class.php